%define name	sauerbraten
%define version 2013_04_04
%define release %mkrel 1
%define downloadUrl https://sourceforge.net/projects/sauerbraten/files/sauerbraten/2013_01_04/sauerbraten_%{version}_collect_edition_linux.tar.bz2/download

# Turn off debuginfo package
%define _enable_debug_packages	%{nil}
%define debug_package %{nil}

%define _prefix	/usr

Name:		%{name}
Version:        %{version}
Release:        %{release}
Summary:	Sauerbraten - A multiplayer/singleplayer first person shooter
Summary(de):	Sauerbraten - Ein FPS Spiel für Einzel- und mehere Spieler
License:	ZLIB license
URL:		http://www.sauerbraten.org/
Group:		Games/Arcade
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
BuildRequires:	gcc-c++
BuildRequires:	%{_lib}png-devel
BuildRequires:	mesa-devel
BuildRequires:	freeglut-devel
BuildRequires:	%{_lib}SDL-devel
BuildRequires:	%{_lib}SDL_image-devel
BuildRequires:	%{_lib}SDL_mixer1.2-devel
BuildRequires:	desktop-file-utils
BuildRequires:	zlib1-devel
Requires:	%{name}-data

%description
Sauerbraten (a.k.a. Cube 2) is a free multiplayer/singleplayer
first person shooter, built as a major redesign of the Cube FPS.

Much like the original Cube, the aim of this game is not necessarily
to produce the most features & eyecandy possible, but rather to
allow map/geometry editing to be done dynamically in-game, to create
fun gameplay and an elegant engine.

The engine supporting the game is entirely original in code & design,
and its code is Open Source (ZLIB license, read the docs for more on
how you can use the engine).

In addition to the FPS game which is in a very playable state, the
engine is being used for an RPG which is in the preproduction phase.
Additionally, Proper Games ltd are the first to use the engine
commercially. dot3 labs is a company started by the creators of
sauerbraten that offers commercial support.

%description -l de
Sauerbraten (auch bekannt als Cube 2) ist ein freies FPS Spiel für 
einen oder mehrere Spieler. Es wurde als Redesign des Cube FPS Spiels 
entwickelt.

Wie das Original Cube, ist es das Ziel des Spiels nicht notwenidiger 
Weise die meisten Eigenschaft und Augenschmeichler zu produzieren, 
aber es erlaubt auch die Karte/Geometrie während des Spiels zu bearbeiten, 
um ein spaßiges Spielvergnügen und eine elegante Engine zu haben.

Die Engine, die das Spiel unterstützt ist ganzheitlich original in Kode und
Design und der Kode ist Open Source (ZLIB license, lesen Sie die 
Dokumentation um zu erfahren, was Sie mit ihr machen können).

Ergänzend zur Nutzung in diesem FPS Spiel, welches sich in einem spielbaren 
Status befindet, wird die Engine auch in einem RPG (Rollenspiel) genutzt, 
welches in der Vorproduktionphase ist. Weiterhin ist Proper Games Ltd 
die erste Firma, die die Engine kommerziell nutzt. dot3 labs ist eine Firma, 
die von den Sauerbratenentwicklern gegründet wurde und kommerzielle 
Hilfe offeriert.

%package server
Summary:	Standalone Sauerbraten server for LAN and Internet gaming
Summary(de):	Eigenständiger Sauerbratenserver für LAN und Internetspiele
Group:		Games/Arcade
Requires:	%{name}-data

%description server
Sauerbraten (a.k.a. Cube 2) is a free multiplayer/singleplayer
first person shooter, built as a major redesign of the Cube FPS.
This package is useful if you only need the Sauerbraten server and not the game itself.
This package contains a standalone server.

%description server -l de
Sauerbraten (auch bekannt als Cube 2) ist ein freies FPS Spiel für eine oder mehrere 
Personen. Es ist ein Neudesign des Cube FPS.
Dieses Paket ist nützlich, wenn Sie nur den Sauerbratenserver und nicht das Spiel 
selbst brauchen.

Dieses Paket enthält den eigenständigen Sauerbratenserver.

%package data
Summary:        Sauerbraten Data
Summary(de):	Sauerbratendaten
Group:          Games/Arcade
License:	freeware various see the .txt files in /usr/share/games/sauerbraten/packages/base for the specific "package"
BuildArch:	noarch

%description data
Data files for Sauerbraten.

%description data -l de
Datendateien für Sauerbraten

%prep
pushd %_sourcedir

if [ -e %{name}_%{version}_collect_edition_linux.tar.bz2 ]; then
	echo "Source already downloaded";
else
	wget %downloadUrl -O %{name}_%{version}_collect_edition_linux.tar.bz2	
fi

tar -xjf %{name}_%{version}_collect_edition_linux.tar.bz2 -C %_builddir
popd

%build
cd %name
# flags for enet
export CFLAGS="$RPM_OPT_FLAGS"
export CPPFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
pushd src
	%__make %{?jobs:-j%{jobs}} \
		CXXFLAGS="$RPM_OPT_FLAGS"
popd

%install
%__rm -fr %{buildroot}
cd %name

# engine
%__install -dm 755 %{buildroot}%{_gamesdatadir}/%{name}
%__install -m 755 src/sauer_client %{buildroot}%{_gamesdatadir}/%{name}
%__install -m 755 src/sauer_server %{buildroot}%{_gamesdatadir}/%{name}

# startscripts
%__cat > %{name}.sh <<EOF
#!/bin/bash
cd %{_gamesdatadir}/%{name}
./sauer_client \$@
EOF

%__cat > %{name}-server.sh <<EOF
#!/bin/bash
cd %{_gamesdatadir}/%{name}
./sauer_server \$@
EOF

%__install -dm 755 %{buildroot}%{_bindir}
%__install -m 755 %{name}*.sh %{buildroot}%{_bindir}

# install the menu icon
%__install -dm 755 %{buildroot}%{_datadir}/pixmaps
%__install -m 644 data/cube.png %{buildroot}%{_datadir}/pixmaps/sauerbraten.png

mkdir $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Sauerbraten
Comment=%{summary}
Exec=%{_bindir}/%{name}.sh
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=false
Categories=X-MandrivaLinux-MoreApplications-Games-Arcade;Game;ArcadeGame;
EOF

# Data files
#mkdir -p $RPM_BUILD_ROOT/%{_gamesdatadir}/sauerbraten
find . -type d -name CVS | xargs rm -rf || true
cp -a data packages $RPM_BUILD_ROOT/%{_gamesdatadir}/sauerbraten


%clean
%__rm -fr %{buildroot}

%post
%{update_desktop_database}

%postun
%{clean_desktop_database}


%files
%defattr(-,root,root)
%doc %{name}/docs/*
%{_bindir}/%{name}.sh
%{_gamesdatadir}/%{name}/sauer_client
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop


%files server
%defattr(-,root,root)
%{_bindir}/%{name}-server.sh
%{_gamesdatadir}/%{name}/sauer_server

%files data 
%defattr(-,root,root)
%{_gamesdatadir}/%{name}/data
%{_gamesdatadir}/%{name}/packages


%changelog
* Sat Aug 01 2020 ghostbunny <ghostbunny at gmx dot de> 2013_04_04-1pclos2020
- 2013_04_04
- transform into nosrc rpm

* Sun Jun 09 2013 ghostbunny <ghostbunny at gmx dot de> 2013_02_03-1pclos2013
- 2013_02_03

* Tue Jan 15 2013 ghostbunny <ghostbunny at gmx dot de> 2013_01_07-1pclos2013
- 2013_01_07
- added xz compression
- added data package
- restructured spec
- renamed spec to pclos-sauerbraten.spec
- rewrote launchers
- cleared client files section (server binary was there included)
- removed Source1 we grep the pic from the data directory of the tarball
- added german summaries and descriptions
- added %{_lib} macros
- fixed BRs

* Tue May 12 2009 MBantz <martin.bantz at gmail dot com> 2009_05_04-1pclos2007
- Rebuilt for pclinuxos from Toni Graffy
